<?xml version="1.0" encoding="utf-8"?>

<discovery xmlns="urn:slpdiscovery">
	
	<refreshRate>60</refreshRate>
	<timeout>4</timeout>
  <destinationAddressIPv6>ff02::1</destinationAddressIPv6>
	<methodList onlyMatching="true">

		<!-- SLP method to find "service:printer" devices -->
		<method name="Test" serviceType="printer.canon"> 
			<AttributeList>
				<devNameOID>x-can-PdInfoMachineName</devNameOID>
				<devTypeOID>x-can-PdInfoProductName</devTypeOID>
 				<sysDescOID>sysDescr</sysDescOID>
			</AttributeList>

			<deviceList>
				<device name="Canon iR2016 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2016</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2020 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2020</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
							
				<device name="Canon iR4530 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR4530</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2220/iR3320 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2220</devTypeStr>
						<devTypeStr>iR3320</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2230 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2230</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2270/iR2870 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2270</devTypeStr>
						<devTypeStr>iR2870</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2830 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2830</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR3530 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3530</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR3570/iR4570 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3570</devTypeStr>
						<devTypeStr>iR4570</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C2570 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2570</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C2620 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2620</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C3100 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3100</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C3200 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3200</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C4080/C4580 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C4580</devTypeStr>
						<devTypeStr>iR C4080</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C2880/C3380 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2880</devTypeStr>
						<devTypeStr>iR C3380</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3025 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3025</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3030 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3035/iR3045 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3035</devTypeStr>
						<devTypeStr>iR3045</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5055/iR5065 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5055</devTypeStr>
						<devTypeStr>iR5065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5075 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5075</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C5185 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5185</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2022/2025/2030 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2022</devTypeStr>
						<devTypeStr>iR2025</devTypeStr>
						<devTypeStr>iR2030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2018 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2018</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3180 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3180</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR1022/1023 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR1023</devTypeStr>
						<devTypeStr>iR1022</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C2380/2550 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2380</devTypeStr>
						<devTypeStr>iR C2550</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3080/3480/3580 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3080</devTypeStr>
						<devTypeStr>iR C3480</devTypeStr>
						<devTypeStr>iR C3580</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iRC1021/1022 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C1022</devTypeStr>
						<devTypeStr>iR C1021</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF8400 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>MF8400 Series</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF9100/9300 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>MF9100 Series</devTypeStr>
						<devTypeStr>MF9100/9300 Series</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3225 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3225</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3230 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3230</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3235/iR3245 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3235</devTypeStr>
						<devTypeStr>iR3245</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR1024/1025 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR1024</devTypeStr>
						<devTypeStr>iR1025</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C9065/9075 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9075</devTypeStr>
						<devTypeStr>iR-ADV C9065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C9060/9070 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9070</devTypeStr>
						<devTypeStr>iR-ADV C9060</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C7055/7065 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7065</devTypeStr>
						<devTypeStr>iR-ADV C7055</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C5045/5051 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5051</devTypeStr>
						<devTypeStr>iR-ADV C5045</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C5030/5035 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5035</devTypeStr>
						<devTypeStr>iR-ADV C5030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2520 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2520</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2525/2530 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2525</devTypeStr>
						<devTypeStr>iR2530</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2535/2545 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2535</devTypeStr>
						<devTypeStr>iR2545</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 6055/6065 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6065</devTypeStr>
						<devTypeStr>iR-ADV 6055</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 6075 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6075</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C2020/2030 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C2020</devTypeStr>
						<devTypeStr>iR-ADV C2030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C2025 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C2025</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF9200 Series (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>MF9280</devTypeStr>
						<devTypeStr>MF9220</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C1028/1030 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C1028</devTypeStr>
						<devTypeStr>iR C1030</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV 4025/4035 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 4035</devTypeStr>
						<devTypeStr>iR-ADV 4025</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV 4045/4051 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 4051</devTypeStr>
						<devTypeStr>iR-ADV 4045</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR1133 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>imageRUNNER1133 series</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR1730/1740/1750 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR1730</devTypeStr>
						<devTypeStr>iR1740</devTypeStr>
						<devTypeStr>iR1750</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C5235/5240 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5240</devTypeStr>
						<devTypeStr>iR-ADV C5235</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C5250/5255 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5255</devTypeStr>
						<devTypeStr>iR-ADV C5250</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C2220/2230 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C2220</devTypeStr>
						<devTypeStr>iR-ADV C2230</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C2225 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C2225</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C9270/9280 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9280</devTypeStr>
						<devTypeStr>iR-ADV C9270</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV 6255/6265 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6265</devTypeStr>
						<devTypeStr>iR-ADV 6255</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV 6275 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6275</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C7260/7270 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7270</devTypeStr>
						<devTypeStr>iR-ADV C7260</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C7280 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7280</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV 400/500 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 400</devTypeStr>
						<devTypeStr>iR-ADV 500</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV 4225/4235 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 4225</devTypeStr>
						<devTypeStr>iR-ADV 4235</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV 4245/4251 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 4245</devTypeStr>
						<devTypeStr>iR-ADV 4251</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C250/350 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C250</devTypeStr>
						<devTypeStr>iR-ADV C350</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				<device name="Canon iR-ADV C351 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C351</devTypeStr>
					</matchingDevTypeStrs>
				</device>
			</deviceList>
		</method>
	</methodList>
</discovery>
